declare module "*.css?inline" {
  const content: string;
  export default content;
}
declare module "*.module.scss" {
  const classes: { [key: string]: string };
  export default classes;
}
declare module "*.module.less" {
  const classes: { [key: string]: string };
  export default classes;
}
declare module "*umd.js?raw" {
  const content: string;
  export default content;
}

declare interface Window {
  __RENDER_PAGE_STATE__?: PageSchema;    // 替换为你期望的类型
  hostEventService: EventService;
  editorService: () => EditorServiceV2 | EditorServiceV3 | null
  PageComponentDependency: ComponentDependency
  React: React
  ReactDOM: ReactDOM
  previewer: Previewer
  hostPromiseQueueMap: Record<string, Record<any, Function>>;
  ts: typescript;
  Websandbox?: any;
  [key: string]: any
}
